%bcond_without check

%global goipath         github.com/nats-io/nkeys
Version:                0.4.6

%gometa

%global common_description %{expand:
A public-key signature system based on Ed25519 for the NATS ecosystem.}

%global golicenses      LICENSE
%global godocs          GOVERNANCE.md MAINTAINERS.md README.md TODO.md\\\
                        README-nk.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Public-key signature system based on Ed25519 for the NATS ecosystem

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(golang.org/x/crypto/ed25519)

%description
%{common_description}

%gopkg

%prep
%goprep
mv nk/README.md README-nk.md

%build
for cmd in nk; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc GOVERNANCE.md MAINTAINERS.md README.md TODO.md README-nk.md
%{_bindir}/*

%gopkgfiles

%changelog
* Tue Sep 03 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.6-1
- initial build
